### Function

# GioUnix mount_points_changed_since

#### Declaration [src]

    gboolean
    g_unix_mount_points_changed_since (
      guint64 time
    )

#### Description [src]

Checks if the Unix mount points have changed since a given Unix time.

Unlike `g_unix_mount_entries_changed_since()`, this function can work reliably without a `GUnixMountMonitor` running, as it accesses the static mount point information (such as `/etc/fstab` on Linux), which has a valid modification time.

It is more efficient to use `GUnixMountMonitor::mountpoints-changed` to be signalled of changes to the mount points, rather than polling using this function. This function is more appropriate for infrequently determining cache validity.

#### Parameters

`time`

  Type: `guint64`

  A timestamp.

#### Return value

Type: `gboolean`

True if the mount points have changed since `time`; false otherwise.